Bug 1006951 - [abrt] gedit-3.9.91-1.fc20: gedit_file_browser_store_set_root_and_virtual_root: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.9.91-1.fc20: gedit_file_browser_store_set_root_and_virtual_roo...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:594fdccbdd44292a1fa30a363ac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 10:45 EDT by Martin Meyer
Modified: 2015-06-29 08:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:21:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (56.58 KB, text/plain)
2013-09-11 10:45 EDT, Martin Meyer
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-11 10:45 EDT, Martin Meyer
no flags Details
File: core_backtrace (40.15 KB, text/plain)
2013-09-11 10:45 EDT, Martin Meyer
no flags Details
File: dso_list (17.11 KB, text/plain)
2013-09-11 10:45 EDT, Martin Meyer
no flags Details
File: environ (1.26 KB, text/plain)
2013-09-11 10:45 EDT, Martin Meyer
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-11 10:46 EDT, Martin Meyer
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-11 10:46 EDT, Martin Meyer
no flags Details
File: maps (77.19 KB, text/plain)
2013-09-11 10:46 EDT, Martin Meyer
no flags Details
File: open_fds (1.29 KB, text/plain)
2013-09-11 10:46 EDT, Martin Meyer
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-09-11 10:47 EDT, Martin Meyer
no flags Details

  None (edit)
Description Martin Meyer 2013-09-11 10:45:19 EDT
Description of problem:
Trying to access an sftp bookmark mount point for first time after boot. Repeatable every time. Works after manually connecting to the bookmark from nautilus.

Version-Release number of selected component:
gedit-3.9.91-1.fc20

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        gedit
crash_function: gedit_file_browser_store_set_root_and_virtual_root
executable:     /usr/bin/gedit
kernel:         3.11.0-300.fc20.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gedit_file_browser_store_set_root_and_virtual_root at gedit-file-browser-store.c:3183
 #1 gedit_file_browser_widget_set_root_and_virtual_root at gedit-file-browser-widget.c:1705
 #2 bookmark_open at gedit-file-browser-widget.c:2269
 #3 on_bookmark_activated at gedit-file-browser-widget.c:2354
 #4 g_cclosure_marshal_VOID__BOXEDv at gmarshal.c:1160
 #5 _g_closure_invoke_va at gclosure.c:840
 #8 activate_selected_bookmark at gedit-file-browser-view.c:403
 #9 activate_selected_items at gedit-file-browser-view.c:412
 #10 button_press_event at gedit-file-browser-view.c:591
 #11 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:85
Comment 1 Martin Meyer 2013-09-11 10:45:27 EDT
Created attachment 796427 [details]
File: backtrace
Comment 2 Martin Meyer 2013-09-11 10:45:30 EDT
Created attachment 796428 [details]
File: cgroup
Comment 3 Martin Meyer 2013-09-11 10:45:42 EDT
Created attachment 796429 [details]
File: core_backtrace
Comment 4 Martin Meyer 2013-09-11 10:45:45 EDT
Created attachment 796430 [details]
File: dso_list
Comment 5 Martin Meyer 2013-09-11 10:45:48 EDT
Created attachment 796431 [details]
File: environ
Comment 6 Martin Meyer 2013-09-11 10:46:33 EDT
Created attachment 796432 [details]
File: exploitable
Comment 7 Martin Meyer 2013-09-11 10:46:42 EDT
Created attachment 796433 [details]
File: limits
Comment 8 Martin Meyer 2013-09-11 10:46:53 EDT
Created attachment 796434 [details]
File: maps
Comment 9 Martin Meyer 2013-09-11 10:46:57 EDT
Created attachment 796435 [details]
File: open_fds
Comment 10 Martin Meyer 2013-09-11 10:47:06 EDT
Created attachment 796436 [details]
File: proc_pid_status
Comment 11 Martin Meyer 2013-09-11 10:50:54 EDT
I have already filed an unstream bug against gedit:

https://bugzilla.gnome.org/show_bug.cgi?id=707864

abrt was just easier to generate the backtrace data.
Comment 12 Fedora End Of Life 2015-05-29 05:23:25 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-06-29 08:21:57 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.